Subject: Re: Testing result on May 3

From: Zheng Gengbing <[email-masked]>
Date: Sat, 4 May 1996 13:01:16 +0800 (EAT)

On Fri, 3 May 1996, Guansong Zhang wrote:

> In this letter, I will breif my test result on 1.40
> 
> 1. For test1.f90, I changed a little in this file according to PKU's comment,
> deleting the comment I made in the following statement:
> 
> !zgs  CHARACTER (KIND = 1), POINTER :: obj16 (:) * 2, obj17 * 2
> 
> But I need to add a comment at another place:
> 
> !zgs for 1.40  COMMON /com1/ var1 (2), var2, /com2/ var3
>

	That seem because var1 is redeclared .

> Then I can get the following result about test1.f90.
> 
> 
>                     hpf2dep         dumpdep          unparse       recompile
> test1.f90 		f
>

	In my machine(HP9000) there is a error:
line(1758) syntax error:433 COMMA2 433

	In Linux  there are 2 errors:
line(462) syntax error:289 DOUBLEPRE 289
line(1093) syntax error:305 INTRINSIC 305

	I don't know why .

	After I commented out these statement , hpf2dep will core dump .
After I modified f90.y , it's ok now . But then dumpdep core dump , after I 
trace the program ,I found actual_arg had a bug . 
	It's ok now .

> 
> 2. test2,3,4,5,6,7 have no problem to pass hpf2dep, dumpdep, unparse.
>

	They are all right .

> 4. testh.
> 
> I need to comment at two position to let 1.40 pass.
> 
> !zgs for 1.40 LOGICAL var15 (2) = .TRUE.
> !zgs for 1.40 LOGICAL var17 (2) = .TRUE.
> 
> It seems one problem. 1.34 can pass this.
> 

	That's ok , it should report the errors:
line(194) syntax error: double colon must appear '' 
line(197) syntax error: double colon must appear ''

	Beacuse we add a sematic checking there . When intiialization expr
appears , :: must separate them . This is according to the constarins of my
book.
	It shoud be :
LOGICAL :: var15 (2) = .TRUE.
LOGICAL :: var17 (2) = .TRUE.
        ^^

> For testh, dumpdep pass while unparse memory fault. I will see if I can solve
> this in 1.41 later.
>

	It seemed that 1.34 also caused core dump.

> 5. for test90, here I use the same modified package as I used on May 1. (I will
> send this package to you later.) The results is following:
> 
> 
>                     hpf2dep         dumpdep          unparse       recompile
> atmosphere.f90	f
> casing.mod.f90 	f
> concord2.mod.f90 	f
> constants.f90 	f
> detour.f90 		f
> discover+.f90		p		p		f
> history.f90 		f
> isoweight.f90 	p		p		f
> moving.f90 		p		p		p
> operate.f90 		p		p		p
> operate2+.f90 	f
> pivot.f90		p		p		p
> survey.f90 		p		p		p
> tour.f90		f
> 
> I compared with 1.38, it is same. But I noticed yacc only complain 6 conflicts
> for 1.40. Maybe only one small thing cause this.
>

	It must have a strange problem here . In my machine(HP9000) , we have
only atmosphere.f90 and isoweight.f90 unpassed . In Linux , all these files
can be passed !
	On the other hand , 1.38 can pass these 2 files .But 1.34 can not
pass these 2 files . After I trace the core of isoweight.f90 , I found the 
error is in yylook . The current line is 44. a FORMAT statement:

200   format ( ' ', 'Name         Symbol Number      Mass ', &
                    'Isotope   Weights',                     &
             /, ' ', '------------ ------ ------ --------- ', &  !zgs
                    '------- ---------'                           )

After I changed some format actions , some strcpy to a char * is very 
dangerous , as I think .  The test result proved that what I thought is 
right. Now all the test file in test90 can pass .
	
	Also dumpdep are ok , but unparse have some warings and 1 core dump

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************